
/*
 * Startup Code for ARM
 * This file is from the startup code version for AT91SAM7Sxx.
 *
 * C-Handler for SWI
 * a SWI should be executed if the program want's to reach a previliged mode
 * the Handler then can do the requested action.
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */


#include "swi_c.h"

unsigned int spurious_swi = 0;

void SWI_CHandler( unsigned int swi_code ) {
	/* this procedure handles the SWI in C
	 * swi_code ist the number that was called.
	 * this procedure is always executed in SYSTEM mode
	 * be careful what to do here.
	 */
	switch( swi_code ) {
		default:
			/* spurious software interrupt */
			spurious_swi++;
			break;
	}
}
